﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
namespace ScheduleRecurrenceSample
{
    public partial class ScheduleController : Controller
    {
        //
        // GET: /Schedule/
        public ActionResult ScheduleFeatures()
        {
            List<Lesson> data = new List<Lesson>();
            data.Add(new Lesson(11, "Test Purpose", new DateTime(2015, 12, 7, 5, 0, 0), new DateTime(2015, 12, 7, 6, 0, 0), true, "FREQ=WEEKLY; INTERVAL=1; BYDAY=MO; UNTIL=12/23/2015"));
            data.Add(new Lesson(12, "Meeting",  new DateTime(2015, 12, 3, 1, 0, 0), new DateTime(2015, 12, 3, 2, 0, 0), false, ""));
            data.Add(new Lesson(13, "Testing", new DateTime(2015, 12, 4, 3, 0, 0), new DateTime(2015, 12, 4, 4, 0, 0), false, ""));
            data.Add(new Lesson(14, "Analyzis",new DateTime(2015, 12, 5, 5, 0, 0), new DateTime(2015, 12, 5, 6, 0, 0), false, ""));
            data.Add(new Lesson(15, "MayDay",new DateTime(2015, 12, 6, 3, 0, 0), new DateTime(2015, 12, 6, 4, 0, 0), false, ""));
            return View(data);
        }
    }

    public partial class Lesson
    {
        public int Id { get; set; }
        public System.DateTime StartTime { get; set; }
        public System.DateTime EndTime { get; set; }
        public string Subject { get; set; }
        public Nullable<bool> Recurrence { get; set; }
        public string RecurrenceRule { get; set; }
        public Lesson(int Id, string Subject, DateTime StartTime, DateTime EndTime, bool Recurrence,string RecurrenceRule)
        {
            this.Id = Id;
            this.Subject = Subject;
            this.StartTime = StartTime;
            this.EndTime = EndTime;
            this.Recurrence = Recurrence;
            this.RecurrenceRule = RecurrenceRule;
        }
    }
}
